// SecureCGrafPort.h, the SecureCGrafPort class, useful for generating onscreen
//	CGrafPorts for those who do not use a framework to make CGrafPorts for them.

// copyright  1995, Macneil Shonle. All rights reserved.

#ifndef __SECURECGRAFPORT__
#define __SECURECGRAFPORT__

#ifndef __SECUREMACPORT__
#include <SecureMacPort.h>
#endif

#include <exception>
#include <new>

		// class SecureCGrafPort
class SecureCGrafPort : public SecureMacPort {
public:
	SecureCGrafPort(const Rect&) throw(xalloc, invalidargument);
	virtual ~SecureCGrafPort();
	
	Rect& portRect() const;
	BitMapPtr bitMap() const;
	short width() const;
	short height() const;
	CGrafPtr getMacPort() const;
	GDHandle getMacGD() const;
	virtual operator CGrafPtr() const;

private:
	CGrafPtr port;
	SecureCGrafPort(const SecureCGrafPort&);
	SecureCGrafPort& operator=(const SecureCGrafPort&);
};

#endif