// SecureGWorld.h, the SecureGWorld class, useful for generating GWorlds
//	for those who do not use a framework to make GWorlds for them.

// copyright  1995, Macneil Shonle. All rights reserved.

#ifndef __SECUREGWORLD__
#define __SECUREGWORLD__

#ifndef __SECUREMACPORT__
#include <SecureMacPort.h>
#endif

#ifndef __QDOFFSCREEN__
#include <QDOffscreen.h>
#endif

#ifndef __PIXELTYPES__
#include <PixelTypes.h>
#endif

#include <exception>
#include <new>

		// class SecureGWorld
class SecureGWorld : public SecureMacPort {
public:
	SecureGWorld(const Rect& bounds, BitDepth =kEightBit, CTabHandle =nil)
		throw(xalloc, invalidargument);
	virtual ~SecureGWorld();
	
	Rect& portRect() const;
	BitMapPtr bitMap() const;
	short width() const;
	short height() const;
	CGrafPtr getMacPort() const;
	GDHandle getMacGD() const;
	virtual operator GWorldPtr() const;

private:
	GWorldPtr gworld;
	SecureGWorld(const SecureGWorld&);
	SecureGWorld& operator=(const SecureGWorld&);
};

#endif